return {
    "fedepujol/move.nvim",
    config = function()
        local opts = require("utils").opts
        require("move").setup({})
        local keymap = vim.keymap

        -- Move lines up and down
        keymap.set("n", "<A-S-k>", ":MoveLine(-1)<CR>", opts("Move line up"))
        keymap.set("n", "<A-S-j>", ":MoveLine(1)<CR>", opts("Move line down"))
        keymap.set("n", "<leader>mk", ":MoveLine(-1)<CR>", opts("Move line up"))
        keymap.set("n", "<leader>mj", ":MoveLine(1)<CR>", opts("Move line down"))

        -- Move blocks in visual mode
        keymap.set("v", "<A-k>", ":MoveBlock(-1)<CR>", opts("Move line up"))
        keymap.set("v", "<A-j>", ":MoveBlock(1)<CR>", opts("Move line down"))

        -- Move lines in insert mode
        keymap.set("i", "<A-k>", "<C-o>:MoveLine(-1)<CR>", opts("Move line up"))
        keymap.set("i", "<A-j>", "<C-o>:MoveLine(1)<CR>", opts("Move line down"))
    end,
}
